Class | SOAP::RPC::CGIStub::SOAPStdinRequest
In: | soap/rpc/cgistub.rb
Parent: | SOAPRequest

### Methods

[] meta_vars new

### Attributes

body | [R] |

### Public Class methods

new(stream)

[Source]

    # File soap/rpc/cgistub.rb, line 42
        def initialize(stream)
          size = ENV['CONTENT_LENGTH'].to_i || 0
          @body = stream.read(size)
        end

### Public Instance methods

[](var)

[Source]

    # File soap/rpc/cgistub.rb, line 47
        def [](var)
          ENV[var.gsub(/-/, '_').upcase]
        end

meta_vars()

[Source]

    # File soap/rpc/cgistub.rb, line 51
        def meta_vars
          {
            'HTTP_SOAPACTION' => ENV['HTTP_SOAPAction']
          }
        end

[Validate]